using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        struct lenser
        {
            public int br;
            public double proc;
        }
        static int radi(lenser a,lenser b)
        {
            if (a.proc > b.proc) return -1;
            else return 1;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            lenser[] a = new lenser[n];
            for (int i = 0; i < n; i++)
            {
                string[] str = Console.ReadLine().Split();
                a[i].br = int.Parse(str[0]);
                a[i].proc = double.Parse(str[1]);
            }
            Array.Sort(a, radi);
            double max = 0;
            double k = 0;
            for (int i = 0; i < n; i++)
            {
                k += a[i].br;
                if (k * a[i].proc / 100 > max) max = k * a[i].proc / 100;
            }
            Console.WriteLine(max);
        }
    }
}